{
    onEmergencyExit(target) {
        if (!this.canSwitch(target.side) || target.forceSwitchFlag || target.switchFlag)
            return;
        for (const side of this.sides) {
            for (const active of side.active) {
                active.switchFlag = false;
            }
        }
        target.emergencyExitFlag = true;
        this.add("-activate", target, "ability: Emergency Exit");
    },
    onResidualOrder: 27,
    onResidual(target) {
        if (target.emergencyExitFlag) {
            target.switchFlag = true;
            target.emergencyExitFlag = false;
        }
    },
    flags: {},
    name: "Emergency Exit",
    rating: 1,
    num: 194,
}
